Bug 184432 - grubby doesn't grok kernel /xen.gz options
grubby doesn't grok kernel /xen.gz options
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-08 13:30 EST by Brian Brock
Modified: 2008-02-26 17:59 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 17:59:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Brock 2006-03-08 13:30:49 EST
Description of problem:
grubby or new-kernel-pkg don't apply existing xen 'kernel' arguments to newly
installed kernels when munging grub.conf.

Version-Release number of selected component (if applicable):
mkinitrd-5.0.29-1
kernel-xen0-2.6.15-1.2029_FC5
kernel-xen0-2.6.15-1.2032_FC5

kernel-xen0-2.6.15-1.2029_FC5 is installed, with the following relavent
grub.conf stanza:


title Fedora Core (2.6.15-1.2029_FC5xen0)
        root (hd0,0)
        kernel /xen.gz-2.6.15-1.2029_FC5 com1=115200,8n1
        module /vmlinuz-2.6.15-1.2029_FC5xen0 ro root=LABEL=/1 console=ttyS0
console=tty0
        module /initrd-2.6.15-1.2029_FC5xen0.img


No other versions of kernel-xen0 are initially installed.

Install a newer kernel-xen0:

 rpm -ihv 2.6.15-1.2032_FC5/i686/kernel-xen0-2.6.15-1.2032_FC5.i686.rpm 
warning: 2.6.15-1.2032_FC5/i686/kernel-xen0-2.6.15-1.2032_FC5.i686.rpm: Header
V3 DSA signature: NOKEY, key ID 4f2a6fd2
Preparing...                ########################################### [100%]
   1:kernel-xen0            ########################################### [100%]


... new grub.conf stanza looks like:
title Fedora Core (2.6.15-1.2032_FC5xen0)
        root (hd0,0)
        kernel /xen.gz-2.6.15-1.2032_FC5
        module /vmlinuz-2.6.15-1.2032_FC5xen0 ro root=LABEL=/1 console=ttyS0
console=tty0
        module /initrd-2.6.15-1.2032_FC5xen0.img


note that the options "com1=115200,8n1" to the 'kernel' line were not copied.


How reproducible:
every time, behavior is not random.


Expected results:
kernel options are copied when new kernel is installed.
Comment 1 Matthew Miller 2007-04-06 14:28:04 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 2 Chris Lalancette 2008-02-26 17:59:22 EST
This report targets FC5, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks

Note You need to log in before you can comment on or make changes to this bug.